package com.platform.modules.plm.service;

import java.util.Map;

import org.springframework.web.multipart.MultipartFile;

import com.baomidou.mybatisplus.service.IService;
import com.platform.common.utils.PageUtils;
import com.platform.modules.plm.entity.PlmMaterialEntity;

/**
 * 资源信息表
 * 
 * @author weiyan
 * @email 
 * @date 2018-08-06 19:34:17
 */
public interface PlmMaterialService extends IService<PlmMaterialEntity> {
	
	Map<String, Object> queryPageMap(Map<String, Object> params);
	
	PageUtils queryPage(Map<String, Object> params);
	
	PageUtils queryPageByParams(Map<String, Object> params);
	
	PageUtils queryRecyclePageMap(Map<String, Object> params);

	void save(MultipartFile materialFile, MultipartFile coverFile, String materialTitle, String materialDescription, Integer materialType, Long userId);
	
	void update(Long id, MultipartFile materialFile, MultipartFile coverFile, String materialTitle, String materialDescription, Integer materialType, Long userId);
	
	Map<String, Object> findById(Long id);

	void deleteBatch(Long[] ids, Long userId);
	
	void recycleBatch(Long[] ids, Long userId);
	
	void recycleDelete(Long[] ids, Long userId);
}
